<?
define('PROTECTOR', 1);

$headmod = 'search';//фикс. места

$textl='Персонаж';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
if(empty($_POST[nick])){
$nick=$_GET[nick];
$nick = mysql_real_escape_string(htmlspecialchars($nick));
}else{
$nick=$_POST[nick];
$nick = mysql_real_escape_string(htmlspecialchars($nick));}

switch($_GET[go]) {

default:

echo "<form action=\"search.php?go=go\" method=\"post\">Введите ник:<br/>";
echo "<input name=\"nick\" maxlength=\"10\" title=\"nick\" emptyok=\"true\"/><br/>";
echo "<input type=\"submit\" value=\"Найти\" /></form>";

break;

case 'go':

$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$nick'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого игрока!';
include($path.'files/down.php');exit;
}

$usdata = mysql_fetch_array($req);
echo'<div class="m_bg">';
if(!empty($usdata[clan])){
$req = mysql_query("SELECT `emblema` FROM `clan` WHERE `lider` = '$usdata[clan]'");
$wh = mysql_fetch_array($req);


if(!empty($wh[emblema])){
echo"Ник: <b>$nick</b><img src=\"pic/clan/$wh[emblema]\" alt=\"clan\"/>";}else{
echo"Ник: <b>$nick</b>";
}
}else{
echo"Ник: <b>$nick</b>";}
echo"<font color='grey'><b>";
if($usdata[klas]=="wizard"){$kl="m";$kln="Маг";}
if($usdata[klas]=="fighert"){$kl="f";$kln="Воин";}
if($usdata[storona]=="white"){echo" [Светлый ";}
if($usdata[storona]=="black"){echo" [Тёмный ";}
echo $kln;
echo"]</font></b><br/></div><div class=m_bg>";



if($usdata[lvl]<5){
$st="NG";}
elseif($usdata[lvl]>=5 and $usdata[lvl]<10){
$st="D";}
elseif($usdata[lvl]>=10 and $usdata[lvl]<15){
$st="C";}
elseif($usdata[lvl]>=15 and $usdata[lvl]<20){
$st="B";}
elseif($usdata[lvl]>=20 and $usdata[lvl]<25){
$st="A";}
elseif($usdata[lvl]>25){
$st="S";}


if (is_file('pic/avanick/'.$nick.'.png')||is_file('pic/avanick/'.$nick.'.jpeg')||is_file('pic/avanick/'.$nick.'.jpg'))
{
avatar($nick);
echo "<br />";
} else {


if($usdata[prava] >= 2) {echo"<img src='pic/avatar/admin/kamaelmen.gif' /><br/>"; }
if($usdata[prava] == 0) {echo"<img src='pic/avatar/human/$kl/$usdata[pol]/$st.gif' /><br/>";}
}
$req = mysql_query("SELECT `usr` FROM `karma` WHERE `usr` = '$nick'");
$avto=mysql_num_rows($req);

$req1 = mysql_query("SELECT * FROM `ban` WHERE `usr` = '$nick' LIMIT 1");
// //////////////////////////
$avto1 = mysql_num_rows($req1);
if ($avto1 == 1) {
$ban = mysql_fetch_array($req1);
echo'<b><font color=red>Игровой персонаж заблокирован по причине: '.$ban[text].'</font></b><br/>';
}
echo"</div>";


echo'<div class="m_bg">Информация о персонаже</div><div class="m_bg">';
echo"Уровень: $usdata[lvl]<br/>";
echo"Жизни: $usdata[hp]/$usdata[hpall]<br/>";
echo"Мана: $usdata[mp]/$usdata[mpall]<br/>";

echo"Опыт: $usdata[exp] </div>";

echo"<div class='m_bg'>Физические параметры:</div><div class='m_bg'>
Сила: $usdata[sila]<br/>";
echo"Ловкость: $usdata[lovk]<br/>";
echo"Интеллект: $usdata[um]<br/>";
echo"Физ. Защита: $usdata[prot]<br/>";
echo"Критический удар: $usdata[krit]%<br/></div>";

echo'<div class="m_bg">Об игроке</div><div class="m_bg">';
echo'<b>Карма: '.$avto.'</b><br/>';

$req = mysql_query("SELECT `usr` FROM `karma` WHERE `usr` = '$nick' and `from`='$log' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==0 and $udata[lvl]>=2 and $log!=$nick){
echo"<a href=\"karma.php?usr=$nick\">[увеличить карму]</a><br/>";
}
echo"Пол: ";
if($usdata[pol]=="m"){echo"Парень<br/>";}else{echo"Девушка<br/>";}
if(!empty($usdata[clan])){

$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$usdata[clan]' LIMIT 1");
$clan = mysql_fetch_array($req);
if($usdata[clan_prava] == 0){ $status = '(Боец)';}
if($usdata[clan_prava] == 1){ $status = '(Воевода)';}
if($usdata[clan_prava] == 5){ $status = '(Лидер)';}
echo"В клане: <b><a href=\"clan.php?id=$clan[id]\">$clan[name]</a> $status </b><br/>";}else{
echo" ";}
//Храм
if(!empty($usdata[zamujem])){
$nickas = strip_tags($usdata[zamujem]);
$req = mysql_query("SELECT `storona` FROM `users` WHERE `usr` = '$nickas'");
$pic = mysql_fetch_array($req);
$req = mysql_query("SELECT `storona`,`prava` FROM `users` WHERE `usr` = '$usdata[zamujem]'");
$pic = mysql_fetch_array($req);
echo"Состоит в браке с:";
echo' <img src="pic/main/'.$pic['storona'].'.png" alt="#"/>'; echo"<a href=\"search.php?nick=$usdata[zamujem]&go=go\"> $usdata[zamujem]</a><br/>";
}
//Храм


if($udata[prava] >= 2){ $plus =  "[<a href=mod_panel.php?mod=666&nick=$nick>+</a>]"; }
$req1 = mysql_query("SELECT * FROM `preds` WHERE `usr`='$usdata[usr]'");
$avto1=mysql_num_rows($req1);
echo"Предупреждений: <b>$avto1</b> <a href=?go=preds&nick=$usdata[usr]>(история)</a> $plus";
echo"<br/>";
$laikas = 150;
$dabar = time();
$timeout = $dabar - $laikas;

$asd = mysql_num_rows(mysql_query("SELECT laikas, usr FROM online WHERE laikas > '$timeout' AND usr='$nick'"));
////////////////////////////

if($asd==0){
echo"Статус: Offline<br/>";
echo"Последнее посещение: $usdata[lvisit]<br/>";
}else{
$reqs = mysql_query("SELECT * FROM `mesto` WHERE `usr` = '$nick' LIMIT 1");
$mesto = mysql_fetch_array($reqs);//место
if($usdata[city] == fornost){ $city = 'Форност'; }
if($usdata[city] == izmud){ $city = 'Измуд'; }
if($usdata[city] == gundabad){ $city = 'Кронос'; }
if($usdata[city] == clan_city){ $city = 'Амнос - город клана'; }
echo"Город: <b>".$city."</b><br/>";
if($mesto[city]==0){
echo"Локация: <b>город</b><br/>";
}elseif($mesto[city]==1){
$reqs = mysql_query("SELECT name FROM `world` WHERE `x` = '$mesto[x]' and `y` = '$mesto[y]' and `city` = '$usdata[city]' LIMIT 1");
$wor = mysql_fetch_array($reqs);//место

echo"Локация: <b>$wor[name]</b>(X:$mesto[x];Y:$mesto[y])<br/>";
}else{
echo"Локация: <b>замок</b><br/>";
}
//////////////////////////////////////////////////////////////
if($mesto[place] == chat){$gde = 'В чате';}
if($mesto[place] == anketa){$gde = 'В анкете';}
if($mesto[place] == olimp){$gde = 'Смотрит турнир';}
if($mesto[place] == pers){$gde = 'В Персонаже';}
if($mesto[place] == set){$gde = 'В настройках';}
if($mesto[place] == otchet){$gde = 'Смотрит отчеты';}
if($mesto[place] == msg){$gde = 'Читает почту';}
if($mesto[place] == zona){$gde = 'Смотрит заключенных';}
if($mesto[place] == online){$gde = 'Смотрит кто в сети';}
if($mesto[place] == bank){$gde = 'В банке';}
if($mesto[place] == npc){$gde = 'Разговаривает с NPC';}
if($mesto[place] == shop){$gde = 'В магазине';}
if($mesto[place] == bazar){$gde = 'На базаре';}
if($mesto[place] == clanroom){$gde = 'В комнате клана';}
if($mesto[place] == search){$gde = 'Ищет игрока';}
if($mesto[place] == inventar){$gde = 'В инвентаре';}
if($mesto[place] == okrestnosti){$gde = 'В окрестностях';}
if($mesto[place] == arena){$gde = 'На арене';}
if($mesto[place] == battle){$gde = 'В бою';}
if($mesto[place] == pk){$gde = 'В засаде';}
//////////////////////////////////////////////////////////////////////////////////////




echo"Статус: <b><font color=green> ".$gde."</font></b></div>";
}





echo'<div class="m_bg">Меню</div><div class="m_bg">';
if($udata[prava] >= 4)
{
echo"<b>[<a href=\"adm_panel.php?mod=10&usr=$nick\">Забанить</a></b>]<br/>";
}
echo"[<b><a href=\"search.php?go=anketa&nick=$nick\">Анкета игрока</a></b>]<br/>";


$req = mysql_query("SELECT `usr` FROM `msg_ignor` WHERE `usr` = '$log' and `contact` = '$nick'");
$avto=mysql_num_rows($req);
if($avto==1){
////////////////////////////
While($nick = mysql_fetch_array($req))
{
echo"[<b><a href=\"search.php?go=ignor_del&contact=$usdata[usr]\">Убрать с игнора</a></b>]<br/>";
}
}
if($avto==0){
echo"[<b><a href=\"search.php?go=ignor_add&nick=$usdata[usr]\">Добавить в игнор</a></b>]<br/>"; }

echo"[<b><a href=\"search.php?go=mag&nick=$nick\">Умения</a></b>]<br/>";
echo"[<b><a href=\"search.php?go=stats&nick=$nick\">Статистика</a></b>]<br/>";
echo"[<b><a href=\"search.php?go=shmot&nick=$nick\">Вооружение</a></b>]<br/>";
echo"[<a href='msg.php?go_user=".$nick."&mod=wr'>Написать письмо</a>]</div>";

break;

case 'preds':
echo"<div class='m_bg'>История нарушений:</div><div class='m_bg'>";
$req = mysql_query("SELECT * FROM `preds` WHERE `usr` = '$nick'");
$avto=mysql_num_rows($req);
if($avto>=1){

While($mob = mysql_fetch_array($req))
{
echo"<b>Предупреждение</b> от модератора <b>".$mob[md]."</b>, полученное ".$mob[date].", по причине нарушения правил. Разъяснение модератора <b>".$mob[md]."</b> :".$mob[pp]."<hr>";


}
}  else { echo"Предупреждений пока что нет"; }
echo"</div>";
break;


case 'ignor_del':
if(empty($_GET[contact])){
echo"Ошибка, не выбран игрок!";
include($path.'files/down.php');
exit;
}
$req = mysql_query("SELECT `usr` FROM `msg_ignor` where `contact`='".mysql_real_escape_string($_GET['contact'])."'");
$avto=mysql_num_rows($req);
if($avto==0){echo"Ошибка!";include($path.'files/down.php');
exit;}

mysql_query("INSERT INTO `info_ignor` SET usr='$log',msg='$log удалил с игнор листа '".mysql_real_escape_string($_GET['contact'])."'");
mysql_query("DELETE FROM `msg_ignor` WHERE `contact` = '".mysql_real_escape_string($_GET['contact'])."'");
echo"$_GET[contact] удалён из игнор листа!<br/>";

break;

case 'ignor_add':


if(empty($nick)){
echo"Ошибка не выбран игрок!";
include($path.'files/down.php');
exit;
}

$req = mysql_query("SELECT * FROM `msg_ignor` WHERE `usr`= '$log' and `contact` = '".mysql_real_escape_string($_GET['nick'])."' LIMIT 1");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
echo'У вас уже есть этот персонаж в игноре!';
include($path.'files/down.php');
exit;
}
if($_GET[nick]==$log){
echo'Cебя добавить нельзя!<br/>';
include($path.'files/down.php');
exit;
}
$time = time();
mysql_query("INSERT INTO info_ignor SET usr='$log',msg='$log добавил в игнор лист $nick.'");
mysql_query("INSERT INTO `msg_ignor` SET `usr` = '$log', `contact` = '$nick'");
mysql_error();


echo "$nick успешно добавлен в игнор!";


break;


case 'anketa':

$req = mysql_query("SELECT * FROM `anketa` WHERE `usr` = '$nick'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
$req = mysql_query("SELECT `storona`,`prava` FROM `users` WHERE `usr` = '$nick'");
$pic = mysql_fetch_array($req);
if($pic[prava] == '5'){$adm = '<b><font color=red>[SAdm]</font></b>';}
if($pic[prava] == '4'){$adm = '<b><font color=blue>[Adm]</font></b>';}
if($pic[prava] == '3'){$adm = '<b><font color=gold>[SM]</font></b>';}
if($pic[prava] == '2'){$adm = '<b><font color=gold>[M]</font></b>';}
if($pic[prava] == '0'){$adm = ' ';}
echo"<div class='event'>Анкета персонажа:";
echo' <img src="pic/main/'.$pic['storona'].'.png" alt="#"/>';
echo" <a href=\"search.php?nick=$nick&amp;go=go\">$nick</a>$adm</div>";
echo" <div class='event'>";
if($mag[Imya] != NULL){
echo"<b>Имя:</b> $mag[Imya]<br/>";  }
if($mag[familia] != NULL){
echo"<b>Фамилия:</b> $mag[familia]<br/>";}
if($mag[icq] != 0){
echo"<b>ICQ:</b> $mag[icq]<br/>";  }
if($mag[god] != NULL or $mag[god] != 0){
echo"<b>Год рождения:</b> $mag[god]<br/>";  }
if($mag[strana] != NULL){
echo"<b>Страна:</b> $mag[strana]<br/>";  }
if($mag[gorod] != NULL){
echo"<b>Город:</b> $mag[gorod]<br/>";   }
if($mag[muz] != NULL){
echo"<b>Любимая музыка:</b> $mag[muz]<br/>";   }
if($mag[interes] != NULL){
echo"<b>Интересы:</b> $mag[interes]<br/>";   }
if($mag[info] != NULL){
echo"<b>О себе:</b> $mag[info]";   }
echo"</div>";
}}
else{
$req = mysql_query("SELECT `storona`,`prava` FROM `users` WHERE `usr` = '$nick'");
$pic = mysql_fetch_array($req);
echo' У персонажа: <img src="pic/main/'.$pic['storona'].'.png" alt="#"/>'; echo" <a href=\"search.php?nick=$nick&go=go\">$nick</a> нет анкеты";

}



break;

case 'shmot':

$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$nick'");
$usdata = mysql_fetch_array($req);

echo'<div class="m_bg">Снаряжение игрока <img src="pic/main/'.$usdata['storona'].'.png" alt="#"/> <a href="search.php?nick='.$nick.'&go=go">'.$nick.'</a></div><div class="m_bg">';
$i=1;
while($i<=11){
switch($i){
case '1':
$tip='Оружие';
$gt='weapon';
break;
case '2':
$tip='Шлем';
$gt='golova';
break;
case '3':
$tip='Доспех';
$gt='body';
break;
case '4':
$tip='Плащ';
$gt='plash';
break;
case '5':
$tip='Рукавицы';
$gt='ruki';
break;
case '6':
$tip='Пояс';
$gt='poyas';
break;
case '7':
$tip='Сапоги';
$gt='nogi';
break;
case '8':
$tip='Щит';
$gt='shit';
break;
case '9':
$tip='Амулет';
$gt='amulet';
break;
case '10':
$tip='Кольцо';
$gt='kolco';
break;
case '11':
$tip='Маска';
$gt='maska';
break;
}
if($gt!='kolco'){
$req = mysql_query("SELECT `id`,`name` FROM `item` WHERE `usr` = '$nick' and `tip`='$gt' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto==0){
}else{
$mag = mysql_fetch_array($req);
echo"$tip: ";
echo"<b>$mag[name]</b><br/>";
}}else{
$req = mysql_query("SELECT `id`,`name` FROM `item` WHERE `usr` = '$nick' and `tip`='$gt' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto==0){
}elseif($avto==1){
$mag = mysql_fetch_array($req);
echo"Кольцо: <b>$mag[name]</b><br/>";
}elseif($avto==2){
While($best = mysql_fetch_array($req))
{
echo"Кольцо: <b>$best[name]</b><br/>";
}
}
}
$i++;
}
echo"</div><a href=\"search.php?go=go&nick=$nick\">Назад</a>";

break;

case 'stats':
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$nick'");
$usdata = mysql_fetch_array($req);
echo'<div class="m_bg">Статистика игрока <img src="pic/main/'.$usdata['storona'].'.png" alt="#"/> <a href="search.php?nick='.$nick.'&go=go">'.$nick.'</a></div><div class="m_bg">';
echo"<b>Слава: ".$usdata[slava]."</b><br/>
Предательства: $usdata[predatel]<br/>
Побед на арене: $usdata[arenawins]<br/>
Поражений на арене: $usdata[arenaloses]<br/>
Побед: ".$usdata[wins]."<br/>
Поражений: $usdata[loses]<br/>
Сообщений в чате: $usdata[fchat]</div>";
echo"<a href=\"search.php?go=go&nick=$nick\">Назад</a>";

break;

case 'mag':
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$nick'");
////////////////////////////
$avto=mysql_num_rows($req);
$usdata = mysql_fetch_array($req);
if($avto=="0"){
echo'Нет такого игрока!';
include($path.'files/down.php');exit;
}
echo'<div class="m_bg">Умения игрока <img src="pic/main/'.$usdata['storona'].'.png" alt="#"/> <a href="search.php?nick='.$nick.'&go=go">'.$nick.'</a></div><div class="m_bg">';
$req = mysql_query("SELECT * FROM `mag` WHERE `usr` = '$nick'");
if(mysql_num_rows($req)>=1)
{
While($mag = mysql_fetch_array($req))
{
$maglvl=$mag[lvl]-1;
$magmp=explode("|",$mag[mp]);
$mag[mp]=$magmp[$maglvl];//мп

$maghp=explode("|",$mag[hp]);
$mag[hp]=$maghp[$maglvl];//хп

$maghp=explode("|",$mag[plushp]);
$mag[plushp]=$maghp[$maglvl];//+хп

$maghp=explode("|",$mag[uron]);
$mag[uron]=$maghp[$maglvl];//+урон
echo"<b>$mag[name]:</b><br/>";
echo"Уровень: $mag[lvl]<br/>";
echo"Класс: ";
if($mag[klas]=="wizard"){echo"Маг<br/>";}
if($mag[klas]=="fighert"){echo"Воин<br/>";}
echo"Урон: $mag[uron]<br/>";
echo"Забирает маны: $mag[mp]<br/>";
echo"Забирает здоровья: $mag[hp]<br/>";
echo"Даёт здоровья: $mag[plushp]<br/><br/>";
}
}else{
echo '<b>Нет умений!</b>';
}


break;
}
include($path.'files/down.php');
?>
